| Uwierzytelnianie | wymagane |
| Format odpowiedzi | json |
| Metoda HTTP | DELETE |
Rekord, który jest w trakcie rozmowy nie zostanie usunięty (zwróci status CALL_IN_PROGRESS).
https://your-system-name.thulium.com/api/batch/crm_outbounds/:id/records
|
id
wymagany |
Pięcioznakowy identyfikator kampanii.
Przykładowa wartość: 00001
|
|
customer_id[]
wymagany |
Identyfikator klienta zapisanego w CRM (jeden lub wiele).
Przykładowa wartość: 441
|
| DELETE | https://your-system-name.thulium.com/api/batch/crm_outbounds/00001/records?customer_id[]=441&customer_id[]=442 |
{
"441": {
"http_status": 200,
"record_id": 5235,
"status": "REMOVED"
},
"442": {
"http_status": 404,
"status":"NOT_EXIST"
}
}
<?php $data = ''; $request = curl_init('https://your-system-name.thulium.com/api/batch/crm_outbounds/00001/records?customer_id[]=441&customer_id[]=442'); curl_setopt($request, CURLOPT_HTTPHEADER, array( 'Content-Type: application/json; charset=utf-8', 'Content-Length: ' . mb_strlen($data) )); curl_setopt($request, CURLOPT_USERPWD, 'api_user:api_pass'); curl_setopt($request, CURLOPT_TIMEOUT, 30); curl_setopt($request, CURLOPT_RETURNTRANSFER, true); curl_setopt($request, CURLOPT_CUSTOMREQUEST, 'DELETE'); curl_setopt($request, CURLOPT_POSTFIELDS, $data); $response = curl_exec($request); if ($response) { $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE); if ($httpCode == 200){ print_r(json_decode($response)); } else { echo $response; } } else { trigger_error(curl_error($request), E_USER_WARNING); } curl_close($request);
public class Example { public static void main(String[] args) throws Exception { ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true); ThuliumRestClient.ThuliumRestResponse response = restClient.delete("https://your-system-name.thulium.com/api/batch/crm_outbounds/00001/records?customer_id[]=441&customer_id[]=442"); System.out.println(response); } }
curl -u api_user:api_pass -k -X DELETE -H "Accept: application/json" "https://your-system-name.thulium.com/api/batch/crm_outbounds/00001/records?customer_id[]=441&customer_id[]=442"
http -a api_user:api_pass DELETE https://your-system-name.thulium.com/api/batch/crm_outbounds/00001/records customer_id[]==441 customer_id[]==442 Accept:application/json